"use client";

import { RequireRole } from "@/components/dashboard/require-role";

export default function CompaniesLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <RequireRole roles={["admin", "company"]} permissions={["create-company", "edit-company"]} redirectTo="/dashboard">
      {children}
    </RequireRole>
  );
}
